package kubernetes

import (
	"context"
	"net"

	"git.acooldomain.co/server-manager/backend/instancemanager"
	"git.acooldomain.co/server-manager/backend/models"
)

type InstanceManager struct {
	instancemanager.InstanceManager
}

//General
// Read Only

func (self *InstanceManager) GetImage(ctx context.Context, imageId string) (*instancemanager.Image, error) {
	return nil, nil
}
func (self *InstanceManager) ListImages(ctx context.Context) ([]instancemanager.Image, error) {
	return nil, nil
}
func (self *InstanceManager) GetServer(ctx context.Context, serverId string) (*instancemanager.Server, error) {
	return nil, nil
}
func (self *InstanceManager) ListServers(ctx context.Context) ([]instancemanager.Server, error) {
	return nil, nil
}

// State Changing
func (self *InstanceManager) StartServer(ctx context.Context, serverId string, imageId string, command string, ports []models.Port) error {
	return nil
}
func (self *InstanceManager) StopServer(ctx context.Context, serverId string) error {
	return nil
}

func (self *InstanceManager) CreateServer(ctx context.Context) (*instancemanager.Server, error) {
	return nil, nil
}
func (self *InstanceManager) DeleteServer(ctx context.Context, serverId string) error {
	return nil
}

// Terminal {return nil, nil}

// Status Changing {return nil, nil}
func (self *InstanceManager) InteractiveTerminal(ctx context.Context, serverId string) (*net.Conn, error) {
	return nil, nil
}
func (self *InstanceManager) ResizeTerminal(ctx context.Context, serverId string, width uint, height uint) error {
	return nil
}

// File Browser {return nil, nil}

// Read Only {return nil, nil}
func (self *InstanceManager) GetFileBrowser(ctx context.Context, serverId string) (*models.FileBrowser, error) {
	return nil, nil
}
func (self *InstanceManager) ListFileBrowsers(ctx context.Context) ([]models.FileBrowser, error) {
	return nil, nil
}

// Status Changing {return nil, nil}
func (self *InstanceManager) StartFileBrowser(ctx context.Context, serverId string) (*models.FileBrowser, error) {
	return nil, nil
}
func (self *InstanceManager) StopFileBrowser(ctx context.Context, serverId string) error {
	return nil
}
